How out of date are your Python pip requirements.txt dependencies?

While several third party libraries exist to provide this info (I used to use piprot), it has actually been baked into pip for years!

pip list --outdated --format=columns
>>> Package      Version Latest Type 
>>> ------------ ------- ------ -----
>>> cryptography 1.8.2 1.9 wheel
>>> Django 1.11.1 1.11.2 wheel
>>> ipython 6.0.0 6.1.0 wheel
>>> pytest 3.1.0 3.1.1 wheel
>>> requests 2.16.0 2.17.3 wheel
>>> setuptools 35.0.2 36.0.1 wheel
>>> Sphinx 1.6.1 1.6.2 wheel

This would make for an excellent addition to your CI build process for your Python projects.

Enjoy!

Show your support

Clapping shows how much you appreciated Ryan Blunden’s story.